Bug 140274 - Incorrect size of form navigator window
Summary: Incorrect size of form navigator window
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-02-08 19:27 UTC by Xisco Faulí
Modified: 2021-02-18 01:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-02-08 19:27:43 UTC
Steps to reproduce:
1. Clean the user profile
2. Open writer
3. View - Toolbars - Form Design
4. Form Navigator

-> A really small window is open on the left top corner, hard to see it

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 40b56cd8da8c38582dc4660b486993d1b4711535
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-02-08 19:28:38 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2020-06-23 11:51:32 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-06-25 20:26:38 +0200
commit 82cb3eb7389b4ff9b3254f8370379cf6fd81322f (patch)
tree 46be9261bcd7a23bb24f85daecfddaf04b2f9881
parent 8f2e93183b22f44a9682ac6644d1626bfb89b516 (diff)
weld NavigatorTree

Bisected with: bibisect-linux64-7.1

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2021-02-11 19:40:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8fd90cf3b8df45f4e2b4273d9bbec52a88f4751f

tdf#140274 set an initial minimum size

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2021-02-11 19:43:33 UTC
fixed in master, backport to 7-1 in gerrit
Comment 4 Commit Notification 2021-02-13 15:15:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/dc19de67d6c7f30157b7196773589bba30d9e02f

tdf#140274 set an initial minimum size

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2021-02-15 08:37:36 UTC
Verified in 

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: a5d68a4f959804f93ddda61a45cedaadb504e3f2
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 6 Commit Notification 2021-02-17 21:13:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-1":

https://git.libreoffice.org/core/commit/62cbe2b0e3505ac0e9a0c927b94ffbe31fec93d5

tdf#140274 set an initial minimum size

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.